#ifndef OVERCLOCK_H
#define OVERCLOCK_H

#ifdef __cplusplus
extern "C" {
#endif


typedef enum
{
    OC_Undefined = -1,       // Mode not recognized as a PTune/FTune configuration (i.e. certainly a user-defined mode)
    OC_Default = 0,          // Default (118MHz)
    OC_PtuneF2 = 1,          //  59MHz
    OC_PtuneF3 = 2,          //  96MHz
    OC_PtuneF4 = 3,          // 236MHz
    OC_PtuneF5 = 4           // 191MHz
} overclock_level;


// return 0 if no need to change
// return 1 if successful change
// return -1 on error

int clock_overclock( overclock_level level );

overclock_level overclock_detect( void );

#ifdef __cplusplus
}
#endif

#endif /* OVERCLOCK_H */

